import request from "@/utils/request";

//获取单位台账数据
export function getCompanyaccountData() {
  return request({
    url: "/api1/account-management/companyaccount/getCompanyaccount",
    method: "get"
  });
}
//获取变电站台账数据
export function getSubstationAccountData(data) {
  return request({
    url: "/api3/device-boot/pvSubstation/getPvSubstationList",
    method: "post",
    data: data
  });
}
//获取10kV线路台账数据
export function getAccountqueryData() {
  return request({
    url: "/api1/account-management/accountquery/getAccountquery",
    method: "get"
  });
}
//获取台区台账数据
export function getStationAccountData() {
  return request({
    url: "/api1/account-management/stationAccount/getStationAccount",
    method: "get"
  });
}
//分布式光伏台账数据
export function getPhotovoltaicAccountData() {
  return request({
    url: "/api1/account-management/photovoltaicAccount/getPhotovoltaicAccount",
    method: "get"
  });
}
//低压用户台账数据
export function getLowVoltageUserAccountData() {
  return request({
    url:
      "/api1/account-management/lowVoltageUserAccount/getLowVoltageUserAccount",
    method: "get"
  });
}
//监测终端台账信息数据
export function getTerminalaccountData() {
  return request({
    url: "/api1/account-management/terminalaccount/getTerminalaccount",
    method: "get"
  });
}
//根据10kV线路id查询10kV线路
export function getPvTenVoltageById(id) {
  return request({
    url: "/api2/pvTenVoltage/getPvTenVoltageById",
    method: "get",
    params: { id: id }
  });
}

//  所属终端
export function getAllPvDeviceList() {
  return request({
    url: "/api3/device-boot/pvDevice/getAllPvDeviceList",
    method: "post"
  });
}
//  所属母线
export function getAllPvVoltageList() {
  return request({
    url: "/api3/device-boot/pvVoltage/getAllPvVoltageList",
    method: "post"
  });
}
// 新增监测点
export function addLineDetail(data) {
  return request({
    url: "/api3/device-boot/pvLineDetail/addLineDetail",
    method: "post",
    data
  });
}
// 修改
export function updateLineDetail(data) {
  return request({
    url: "/api3/device-boot/pvLineDetail/updateLineDetail",
    method: "post",
    data
  });
}
// 刪除
export function delPvLineDetail(data) {
  return request({
    url: "/api3/device-boot/pvLineDetail/delPvLineDetail",
    method: "post",
    data
  });
}
